summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0031vmap_string_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0031vmap_string_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0031vmap_string_021
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0031vmap_string_0 b/tests/shell/testcases/nft-f/0031vmap_string_0
new file mode 100755
index 00000000..2af846a4
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0031vmap_string_0
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Tests parse of corrupted verdicts
+
+set -e
+
+RULESET="
+table ip foo {
+ map bar {
+ type ipv4_addr : verdict
+ elements = {
+ 192.168.0.1 : ber
+ }
+ }
+
+ chain ber {
+ }
+}"
+
+$NFT -f - <<< "$RULESET" && exit 1
+exit 0